<script setup lang="ts">
import { ref } from 'vue'
import { RouterView } from 'vue-router'
import MultiWordFooter from './MultiWordFooter.vue'

const drawer = ref(true)
const rail = ref(true)
//////////////////////////////

const menu = ref(false)
</script>
<template>
  <v-card>
    <v-layout>
      <v-app-bar prominent style="background-color: #f48fb1">
        <v-app-bar-nav-icon variant="text" @click.stop="rail = !rail"></v-app-bar-nav-icon>
        <v-sheet width="50" height="50" style="background-color: #f48fb1">
          <v-img src="src\assets\POS\cafe.png" height="50"></v-img>
        </v-sheet>
        <v-toolbar-title>D Coffee</v-toolbar-title>

        <v-menu v-model="menu" :close-on-content-click="false" location="bottom">
          <template v-slot:activator="{ props }">
            <v-list-item
              v-bind="props"
              prepend-avatar="https://cdn.vuetifyjs.com/images/john.png"
              title="Poomrapee Sadsamai"
              subtitle="manager"
              width="20%"
            ></v-list-item>
          </template>

          <v-card min-width="300">
            <v-list>
              <v-list-item
                prepend-icon="mdi-logout"
                title="Logout"
                value="logout"
                :to="{ path: '/login' }"
              ></v-list-item>
            </v-list>
          </v-card>
        </v-menu>

        <!--<div style="margin-right: 10px">
                <v-list-item :to="{ name: 'login' }">
                    <v-icon size="50px" icon="mdi-account-circle"> </v-icon>
                </v-list-item>

            </div>
            <div style="margin-right: 5%">
                <div>User : Poomrapee Sadsamai</div>
                <div>Roles : Admin</div>
            </div>-->
      </v-app-bar>

      <v-navigation-drawer :drawer="!drawer" :rail="rail" permanent @click.stop="rail = false">
        <v-list density="compact" nav>
          <v-list-item
            prepend-icon="mdi-home"
            title="Main Menu"
            value="mainmenu"
            :to="{ name: 'mainmenu' }"
          ></v-list-item>
          <v-list-item
            prepend-icon="mdi-printer-pos"
            title="Point of Sale"
            value="pos"
            :to="{ name: 'pos' }"
          ></v-list-item>

          <v-list-group>
            <template v-slot:activator="{ props }">
              <v-list-item v-bind="props" prepend-icon="mdi-package" title="Stock"></v-list-item>
            </template>
            <v-list-item
              prepend-icon="mdi-package"
              title="Stock"
              value="stock"
              :to="{ name: 'stock' }"
            ></v-list-item>
            <v-list-item
              prepend-icon="mdi-truck-delivery"
              title="Order Stock"
              value="orderstock"
              :to="{ name: 'orderstock' }"
            ></v-list-item>
          </v-list-group>

          <v-list-group>
            <template v-slot:activator="{ props }">
              <v-list-item
                v-bind="props"
                prepend-icon="mdi-account-box"
                title="Employee"
              ></v-list-item>
            </template>
            <v-list-item
              prepend-icon="mdi-account-box"
              title="Employee"
              value="employee"
              :to="{ name: 'employee' }"
            ></v-list-item>
            <v-list-item
              prepend-icon="mdi-clock"
              title="Check In-Out"
              value="checktime"
              :to="{ name: 'checktime' }"
            ></v-list-item>
            <v-list-item
              prepend-icon="mdi-account-credit-card"
              title="Salary"
              value="salary"
              :to="{ name: 'salary' }"
            ></v-list-item>
          </v-list-group>
          <v-list-item
            prepend-icon="mdi mdi-book-clock"
            title="BackdatedReceipt"
            value="backdatedreceipt"
            :to="{ path: '/backdatedreceipt' }"
          ></v-list-item>
          <v-list-item
            prepend-icon="mdi mdi-account-heart"
            title="Member"
            value="member"
            :to="{ path: '/member' }"
          ></v-list-item>
        </v-list>

        <template v-slot:append>
          <v-list-item
            prepend-icon="mdi-logout"
            title="Logout"
            value="logout"
            :to="{ path: '/login' }"
          >
          </v-list-item>
        </template>
      </v-navigation-drawer>

      <v-main>
        <RouterView></RouterView>
        <!-- <MultiWordFooter></MultiWordFooter> -->
      </v-main>
    </v-layout>
  </v-card>
</template>
<style scoped>
.v-card {
  position: absolute;
  height: 100%;
  width: 100%;
  align-items: center;
  display: flex;
  justify-content: center;
}

.v-layout {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #fce4ec;
}

.v-navigation-drawer {
  background-color: #f8bbd0;
}

.v-main {
  padding-top: 5%;
  position: absolute;
  width: 100%;
  height: 100%;
  align-items: center;
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
  overflow-y: auto;
  overflow-x: auto;
}
</style>
